@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
  scroll-behavior: smooth;
}

section {
  padding: 80px 200px;
}

.main {
  width: 100%;
  min-height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  background: url() no-repeat;
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
}

.main .content {
  text-align: center;
  max-width: 800px;
}

.main .content h2 {
  color: #000000;
  font-size: 2em;
  font-weight: 500;
}

.main .content h2 span {
  font-size: 2.8em;
  font-weight: 600;
}

@keyframes text-move {
  0% {
    margin-top: 0;
  }

  25% {
    margin-top: -70px;
  }

  50% {
    margin-top: -140px;
  }

  75% {
    margin-top: -70px;
  }

  100% {
    margin-top: 0;
  }
}

.btn {
  color: rgb(255, 255, 255);
  background: #000000;
  font-size: 1em;
  font-weight: 600;
  display: inline-block;
  padding: 10px 20px;
  text-transform: uppercase;
  text-decoration: none;
  letter-spacing: 1px;
  margin-top: 30px;
  border: none;
  transition: 0.5s ease;
}

.btn:hover {
  color: rgb(0, 0, 0);
  background: #ffffff;
  font-size: 1em;
  font-weight: 600;
  display: inline-block;
  padding: 10px 20px;
  text-transform: uppercase;
  text-decoration: none;
  letter-spacing: 1px;
  margin-top: 30px;
  border: none;
  transition: 0.5s ease;
}

.btn-2 {
  color: rgb(0, 0, 0);
  background: #ffffff;
  font-size: 1em;
  font-weight: 600;
  display: inline-block;
  padding: 10px 20px;
  text-transform: uppercase;
  text-decoration: none;
  letter-spacing: 1px;
  border-radius: 2px;
  margin-top: 30px;
  transition: 0.5s ease;
}

.btn-2:hover {
  color: rgb(255, 255, 255);
  background: #000000;
  font-size: 1em;
  font-weight: 600;
  display: inline-block;
  padding: 10px 20px;
  text-transform: uppercase;
  text-decoration: none;
  letter-spacing: 1px;
  border-radius: 2px;
  margin-top: 30px;
  transition: 0.5s ease;
}

header {
  z-index: 999;
  position: fixed;
  background: rgb(8, 8, 8);
  top: 0;
  left: 0;
  width: 100%;
  padding: 15px 200px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  transition: 0.5s ease;
}

header.sticky {
  background: rgb(8, 8, 8);
  padding: 10px 200px;
}

header .brand {
  color: #fff;
  font-size: 1.8em;
  font-weight: 700;
  text-transform: none;
  text-decoration: none;
}

header .navigation {
  position: relative;
}

header .navigation a {
  color: #fff;
  font-size: 1em;
  font-weight: 500;
  text-decoration: none;
  margin-left: 30px;
}

header .navigation a:hover {
  color: #ffffff;
}

header.sticky .navigation a:hover {
  color: rgb(255, 255, 255);
}

body {
  min-height: 110vh;
}

.title {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.section-title {
  position: relative;
  color: #000000;
  font-size: 2.2em;
  font-weight: 800;
  margin-bottom: 60px;
}

.section-title-2 {
  position: relative;
  color: #ffffff;
  font-size: 2.2em;
  font-weight: 800;
  margin-bottom: 60px;
}

.Projects .content {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  flex-direction: row;
  margin-top: 20px;
}

.title p {
  font-size: 1em;
  width: 80%;
}

.Projects .content .card {
  background: #ffffff;
  width: 340px;
  margin: 30px;
  padding: 25px;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  box-shadow: 0 5px 25px rgba(1 1 1 / 15%);
  border-radius: 10px;
}

.Projects .content .card .service-icon {
  color: #000000;
  font-size: 5em;
  text-align: center;
  transition: transform 0.5s ease;
}

.Projects .content .card:hover .service-icon {
  transform: translateY(-10px);
}

.Projects .info-Projects {
  color: rgb(0, 0, 0);
  text-align: center;
}

.Projects .content .card .info {
  text-align: center;
}

.Projects .content .card .info h3 {
  color: #000000;
  font-size: 1.7em;
  font-weight: 700;
  margin: 10px;
}

.footer {
  background: #111111;
  color: #ffffff;
  text-align: center;
  padding: 2em;
}

.footer .footer-title {
  font-size: 20px;
  font-weight: 600;
}

.footer p {
  font-size: 16px;
  margin-top: 10px;
}

.footer p a {
  color: #ffffff;
  font-weight: 600;
  text-decoration: none;
}

@media (max-width: 1040px) {
  header {
    padding: 12px 20px;
  }

  header.sticky {
    padding: 10px 20px;
  }

  /*menu*/

  header .navigation {
    display: none;
    transition: width 2s;
  }

  header .navigation.active {
    z-index: 888;
    position: fixed;
    background: #fff;
    top: 0;
    right: 0;
    width: 380px;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    box-shadow: 0 5px 25px rgba(1 1 1 / 15%);
    transition: width 3s ease-in-out;
  }

  header .navigation:active {
    transition-delay: 2s;
    transition-duration: 2s;
    width: 100%;
  }

  header .navigation a {
    color: red;
    font-size: 1.2em;
    margin: 10px;
    padding: 0 20px;
    border-radius: 20px;
  }

  header .navigation a:hover {
    background: #3a6cf4;
    color: #fff;
    transition: 0.3s ease;
  }

  section {
    padding: 80px 20px;
  }

  .main .content h2 {
    font-size: 1em;
  }

  .section-title {
    font-size: 1.8em;
  }
}

.scrollToTop-btn {
  z-index: 999;
  position: fixed;
  background: #000000;
  color: #fff;
  width: 45px;
  height: 45px;
  right: 0;
  bottom: 10px;
  font-size: 22px;
  text-align: center;
  line-height: 45px;
  border-radius: 3px;
  cursor: pointer;
  pointer-events: none;
  opacity: 0;
  transition: all 0.3s ease;
}

.scrollToTop-btn.active {
  right: 20px;
  opacity: 1;
  pointer-events: auto;
}

.reveal {
  position: relative;
  transform: translateY(50px);
  opacity: 0;
  transition: all 1.5s ease;
}

.reveal.active {
  transform: translateY(0);
  opacity: 1;
}